"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var loggerMiddleware = function loggerMiddleware(store) {
  return function (next) {
    return function (action) {
      console.log('日志:dispatching', action);
      var result = next(action);
      console.log('日志:next state', store.getState());
      return result;
    };
  };
};

var _default = loggerMiddleware;
exports["default"] = _default;
module.exports = exports.default;